VIPW(8)

NOME
vipw, vigr - modifica i file delle password, dei gruppi, delle password shadow o dei gruppi shadow

SINOSSI

vipw [opzioni]

vigr [opzioni]

DESCRIZIONE

I comandi vipw e vigr permettono di modificare rispettivamente i file /etc/passwd e /etc/group. Con l'opzione -s, vengono aperte le versioni shadow di quei file, rispettivamente /etc/shadow e /etc/gshadow. I programmi si occupano di impostare i lock necessari per evitare la corruzione dei file. Per determinare l'editor da usare, i programmi prima provano con la variabile d'ambiente $VISUAL, poi con la variabile d'ambiente $EDITOR e infine con l'editor predefinito, vi(1).

OPZIONI

Le opzioni per i comandi vipw e vigr sono:

-g, --group
    Modifica del database «group».

-h, --help
    Mostra un messaggio di aiuto ed esce.

-p, --passwd
    Modifica del database «passwd».

-q, --quiet
    Modalità silenziosa.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-s, --shadow
    Modifica del database «shadow» o «gshadow»

VARIABILI D'AMBIENTE

VISUAL
    Editor da utilizzare.

EDITOR
    Editor da utilizzare se VISUAL non è impostata.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

VEDERE ANCHE

vi(1), group(5), gshadow(5), , passwd(5), , shadow(5)